summaryrefslogtreecommitdiffstats
path: root/source/x/scim/scim.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2012-09-26 01:10:42 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:51:55 +0200
commit9664bee729d487bcc0a0bc35859f8e13d5421c75 (patch)
treeb428a16618e36ed864a8d76ea3435e19a452bf90 /source/x/scim/scim.SlackBuild
parent75a4a592e5ccda30715f93563d741b83e0dcf39e (diff)
downloadcurrent-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.gz
current-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.xz
Slackware 14.0slackware-14.0
Wed Sep 26 01:10:42 UTC 2012 Slackware 14.0 x86_64 stable is released! We're perfectionists here at Slackware, so this release has been a long time a-brewing. But we think you'll agree that it was worth the wait. Slackware 14.0 combines modern components, ease of use, and flexible configuration... our "KISS" philosophy demands it. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Thanks to everyone who helped make this happen. The Slackware team, the upstream developers, and (of course) the awesome Slackware user community. Have fun! :-)
Diffstat (limited to 'source/x/scim/scim.SlackBuild')
-rwxr-xr-xsource/x/scim/scim.SlackBuild40
1 files changed, 20 insertions, 20 deletions
diff --git a/source/x/scim/scim.SlackBuild b/source/x/scim/scim.SlackBuild
index c0c50fb4c..d03adc6e6 100755
--- a/source/x/scim/scim.SlackBuild
+++ b/source/x/scim/scim.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
-# Copyright 2006,2007,2008 Eric Hameleers, Eindhoven, NL
-# Copyright 2008, 2009, 2011 Patrick J. Volkerding, Sebeka, MN USA
+# Copyright 2006, 2007, 2008 Eric Hameleers, Eindhoven, NL
+# Copyright 2008, 2009, 2011, 2012 Patrick J. Volkerding, Sebeka, MN USA
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -33,18 +33,19 @@
# -----------------------------------------------------------------------------
-PRGNAM=scim
-VERSION=${VERSION:-1.4.9}
-BUILD=${BUILD:-5}
+PKGNAM=scim
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
- arm*) export ARCH=arm ;;
+ case "$(uname -m)" in
+ i?86) ARCH=i486 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7lh ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$( uname -m ) ;;
+ *) ARCH=$(uname -m) ;;
esac
+ export ARCH
fi
if [ "$ARCH" = "i486" ]; then
@@ -68,17 +69,15 @@ NUMJOBS=${NUMJOBS:-" -j7 "}
CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/package-$PRGNAM
+PKG=$TMP/package-$PKGNAM
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf ${PRGNAM}-${VERSION}
-tar xvf $CWD/${PRGNAM}-${VERSION}.tar.?z* || exit 1
-cd ${PRGNAM}-${VERSION} || exit 1
-
-zcat $CWD/scim-1.4.9-fix-ltdl.cpp.patch.gz | patch -p1 --verbose || exit 1
+rm -rf ${PKGNAM}-${VERSION}
+tar xvf $CWD/${PKGNAM}-${VERSION}.tar.?z* || exit 1
+cd ${PKGNAM}-${VERSION} || exit 1
chown -R root:root .
find . \
@@ -95,6 +94,7 @@ CXXFLAGS="$SLKCFLAGS" \
--localstatedir=/var \
--sysconfdir=/etc \
--disable-static \
+ --with-gtk-version=2 \
--program-prefix= \
--program-suffix= \
--build=$ARCH-slackware-linux
@@ -265,15 +265,15 @@ fi
EOINS
# Add documentation:
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/manual/zh_CN/figures
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/manual/zh_CN/figures
cp -a \
ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO \
- $PKG/usr/doc/$PRGNAM-$VERSION
+ $PKG/usr/doc/$PKGNAM-$VERSION
# Install documentation and user manual
cp -a docs/manual/zh_CN/user-manual.html \
- $PKG/usr/doc/$PRGNAM-$VERSION/manual/zh_CN/
+ $PKG/usr/doc/$PKGNAM-$VERSION/manual/zh_CN/
cp -a docs/manual/zh_CN/figures/*.png \
- $PKG/usr/doc/$PRGNAM-$VERSION/manual/zh_CN/figures/
+ $PKG/usr/doc/$PKGNAM-$VERSION/manual/zh_CN/figures/
# Strip binaries:
find $PKG | xargs file | grep -e "executable" -e "shared object" \
@@ -285,5 +285,5 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
# Build the package:
cd $PKG
-/sbin/makepkg --prepend --linkadd y --chown n $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txz
+/sbin/makepkg --prepend --linkadd y --chown n $TMP/${PKGNAM}-${VERSION}-${ARCH}-${BUILD}.txz